package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFEU6 extends MwfRequest<MWFEU6, MWFEU6Response> {

    @Parameter(name = "APP_KEY")
    MWFEU6 appKey(Long appKey);
    @Parameter(name = "CHANNEL_TYPE")
    MWFEU6 channelType(String channelType);
    @Parameter(name = "CLIENT_TYPE")
    MWFEU6 clientType(String clientType);
    @Parameter(name = "EMPL_ICO")
    MWFEU6 emplIco(String emplIco);
    @Parameter(name = "ID_OM")
    MWFEU6 idOm(String idOm);
    @Parameter(name = "ID_WEB_PARTNER")
    MWFEU6 idWebPartner(String idWebPartner);
    @Parameter(name = "LOAN_AMOUNT")
    MWFEU6 loanAmount(Double loanAmount);
    @Parameter(name = "MASS_AFFLUENT_FLAG")
    MWFEU6 massAffluentFlag(Long massAffluentFlag);
    @Parameter(name = "PRDCT_CAND_KEY")
    MWFEU6 prdctCandKey(Long prdctCandKey);
    @Parameter(name = "PRODUCT_CLASS")
    MWFEU6 productClass(String productClass);
    @Parameter(name = "TERM")
    MWFEU6 term(Long term);
    @Parameter(name = "VALIDITY")
    MWFEU6 validity(java.util.Date validity);
    @Parameter(name = "XSELL_CAMPAIGN")
    MWFEU6 xsellCampaign(String xsellCampaign);
}
